From 3f7009c6d37c890081bd9511d6a50cee17cee0e5 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Tue, 30 Jan 2024 15:27:47 +0100
Subject: [PATCH v2] Update PQparameterStatus and ParameterStatus docs

Cover scram_iterations, which were missed in 16.

Also turn the list into a <simplelist> with 2 columns, which is much
nicer to read.
---
 doc/src/sgml/libpq.sgml    | 43 ++++++++++++++++++--------------------
 doc/src/sgml/protocol.sgml | 43 ++++++++++++++++++--------------------
 2 files changed, 40 insertions(+), 46 deletions(-)

diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index d0d5aefadc..1d8998efb2 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -2509,30 +2509,27 @@ const char *PQparameterStatus(const PGconn *conn, const char *paramName);
       </para>
 
       <para>
-       Parameters reported as of the current release include
-       <varname>server_version</varname>,
-       <varname>server_encoding</varname>,
-       <varname>client_encoding</varname>,
-       <varname>application_name</varname>,
-       <varname>default_transaction_read_only</varname>,
-       <varname>in_hot_standby</varname>,
-       <varname>is_superuser</varname>,
-       <varname>session_authorization</varname>,
-       <varname>DateStyle</varname>,
-       <varname>IntervalStyle</varname>,
-       <varname>TimeZone</varname>,
-       <varname>integer_datetimes</varname>, and
-       <varname>standard_conforming_strings</varname>.
-       (<varname>server_encoding</varname>, <varname>TimeZone</varname>, and
-       <varname>integer_datetimes</varname> were not reported by releases before 8.0;
-       <varname>standard_conforming_strings</varname> was not reported by releases
-       before 8.1;
-       <varname>IntervalStyle</varname> was not reported by releases before 8.4;
-       <varname>application_name</varname> was not reported by releases before
-       9.0;
-       <varname>default_transaction_read_only</varname> and
+       Parameters reported as of the current release include:
+       <simplelist type="vert" columns="2">
+        <member><varname>application_name</varname></member>
+        <member><varname>client_encoding</varname></member>
+        <member><varname>DateStyle</varname></member>
+        <member><varname>default_transaction_read_only</varname></member>
+        <member><varname>in_hot_standby</varname></member>
+        <member><varname>integer_datetimes</varname></member>
+        <member><varname>IntervalStyle</varname></member>
+        <member><varname>is_superuser</varname></member>
+        <member><varname>scram_iterations</varname></member>
+        <member><varname>server_encoding</varname></member>
+        <member><varname>server_version</varname></member>
+        <member><varname>session_authorization</varname></member>
+        <member><varname>standard_conforming_strings</varname></member>
+        <member><varname>TimeZone</varname></member>
+       </simplelist>
+       (<varname>default_transaction_read_only</varname> and
        <varname>in_hot_standby</varname> were not reported by releases before
-       14.)
+       14; <varname>scram_iterations</varname> was not reported by releases
+       before 16.)
        Note that
        <varname>server_version</varname>,
        <varname>server_encoding</varname> and
diff --git a/doc/src/sgml/protocol.sgml b/doc/src/sgml/protocol.sgml
index bb4fef1f51..ed1d62f5f8 100644
--- a/doc/src/sgml/protocol.sgml
+++ b/doc/src/sgml/protocol.sgml
@@ -1314,30 +1314,27 @@ SELCT 1/0;<!-- this typo is intentional -->
 
    <para>
     At present there is a hard-wired set of parameters for which
-    ParameterStatus will be generated: they are
-    <varname>server_version</varname>,
-    <varname>server_encoding</varname>,
-    <varname>client_encoding</varname>,
-    <varname>application_name</varname>,
-    <varname>default_transaction_read_only</varname>,
-    <varname>in_hot_standby</varname>,
-    <varname>is_superuser</varname>,
-    <varname>session_authorization</varname>,
-    <varname>DateStyle</varname>,
-    <varname>IntervalStyle</varname>,
-    <varname>TimeZone</varname>,
-    <varname>integer_datetimes</varname>, and
-    <varname>standard_conforming_strings</varname>.
-    (<varname>server_encoding</varname>, <varname>TimeZone</varname>, and
-    <varname>integer_datetimes</varname> were not reported by releases before 8.0;
-    <varname>standard_conforming_strings</varname> was not reported by releases
-    before 8.1;
-    <varname>IntervalStyle</varname> was not reported by releases before 8.4;
-    <varname>application_name</varname> was not reported by releases before
-    9.0;
-    <varname>default_transaction_read_only</varname> and
+    ParameterStatus will be generated.  They are:
+    <simplelist type="vert" columns="2">
+     <member><varname>application_name</varname></member>
+     <member><varname>client_encoding</varname></member>
+     <member><varname>DateStyle</varname></member>
+     <member><varname>default_transaction_read_only</varname></member>
+     <member><varname>in_hot_standby</varname></member>
+     <member><varname>integer_datetimes</varname></member>
+     <member><varname>IntervalStyle</varname></member>
+     <member><varname>is_superuser</varname></member>
+     <member><varname>scram_iterations</varname></member>
+     <member><varname>server_encoding</varname></member>
+     <member><varname>server_version</varname></member>
+     <member><varname>session_authorization</varname></member>
+     <member><varname>standard_conforming_strings</varname></member>
+     <member><varname>TimeZone</varname></member>
+    </simplelist>
+    (<varname>default_transaction_read_only</varname> and
     <varname>in_hot_standby</varname> were not reported by releases before
-    14.)
+    14; <varname>scram_iterations</varname> was not reported by releases
+    before 16.)
     Note that
     <varname>server_version</varname>,
     <varname>server_encoding</varname> and
-- 
2.39.2

